<h3>Sending the Request</h3>
<p>IP in hand, your browser can initiate the HTTP request, because the lower layers of the network now know how to route it.</p>
<p>When the Kubernetes Ingress controller receives the request through the respective cloud load balancer, it handles HTTPS responses using the <a href="https://gitlab.com/opencraft/dev/grove/-/tree/main/provider-modules/k8s-cert-manager">Cert Manager</a> issued certificates.</p>
<p>A secure connection now allows the HTTP request to safely make its way to Ingress. Once there, the ingress controller tries to match the URL of the request with a domain configured to be linked to a particular service of the Kubernetes cluster.</p>
<p>The Ingress controller opens a connection with the service in question, which locates the appserver through a private IP and port inside the Kubernetes cluster, and passes the HTTP request to the IP:PORT.</p>
